-- $Id$
-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2016 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham ("Zizzo")
-- dsb-tome@killerbunnies.org

local _M = loadPrevious(...)

local super_generateList = _M.generateList
function _M:generateList()
  super_generateList(self)
  local Textzone = require 'engine.ui.Textzone'
  for _, m in ipairs(self.tree) do
    for _, node in ipairs(m.nodes) do
      local i = node.zone.text:find('\n\n#LIGHT_BLUE##{bold}#NOTE:#{normal}#')
      if i then
	local txt = node.zone.text:sub(i+2)..'\n\n'..node.zone.text:sub(1, i-1)
	node.zone = Textzone.new {
	  width=self.c_desc.w,
	  height=self.c_desc.h,
	  text = txt
	}
      end
    end
  end
end

return _M
